using System;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split();
            int n = int.Parse(st[0]);
            int m = int.Parse(st[1]);
            if (m == 1 || n == 1)
            {
                Console.WriteLine(m * n);
            }
            else
            {
                int z = 2 * (n + m - 2);
                m -= 2;
                n -= 2;
                Console.WriteLine((n * m) / 2 + z);
            }
        }
    }
}